Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface SelfDescribingResource

All Superinterfaces:
  Resource, Serializable

All Known Subinterfaces:
  SelfDescribingResourceV2

All Known Implementing Classes:
  AdminResource, ApplicationResource, COMResource, ControlResource, EISResource, EJBResource, JDBCResource, JMSResource, JMXResource, JNDIResource, RemoteResource, ResourceBase, ServerResource, URLResource, WebServiceResource, WorkContextResource

    public interface SelfDescribingResource

extends Resource

The `SelfDescribingResource` class adds added query methods to the `Resource` class. It should be used for all new Resources.

Since:
  7.0

Field Summary
`static int` | `LIST_FIELD_TYPE` Fields that are comma separated and are part of the inheritance hierarchy of Resources return `LIST_FIELD_TYPE` from `getFieldType()`.
`static int` | `NORMAL_FIELD_TYPE` `NORMAL_FIELD_TYPE` describes fields that are simply `String` values.
`static int` | `PATH_FIELD_TYPE` Fields that are slash separated and are part of the inheritance hierarchy of Resources return `PATH_FIELD_TYPE` from `getFieldType()`.
`static int` | `UNDEFINED_FIELD_TYPE` `UNDEFINED_FIELD_TYPE` is returned when no further information regarding this field is available.

Method Summary
`int` | `getFieldType(String fieldName)` Describe `getFieldType` method here.
`int` | `getRepeatingFieldIndex()` `getRepeatingFieldIndex` returns an index into the array returned by `getKeys()` that signifies what part of the Resource's fields repeat as the hierarchy is traversed.
`int` | `getRepeatingFieldTerminatingIndex()` The field returned by `getRepeatingFieldIndex` is repeated as the Resource is shortened up to and including this field index.

Methods inherited from interface weblogic.security.spi.Resource
`equals, getID, getKeys, getParentResource, getType, getValues, hashCode, toString`

Field Detail

### UNDEFINED_FIELD_TYPE

    static final int UNDEFINED_FIELD_TYPE

  `UNDEFINED_FIELD_TYPE` is returned when no further information regarding this field is available.

  See Also:
    Constant Field Values

### NORMAL_FIELD_TYPE

    static final int NORMAL_FIELD_TYPE

  `NORMAL_FIELD_TYPE` describes fields that are simply `String` values. They cannot be subdivided or parsed further.

  See Also:
    Constant Field Values

### PATH_FIELD_TYPE

    static final int PATH_FIELD_TYPE

  Fields that are slash separated and are part of the inheritance hierarchy of Resources return `PATH_FIELD_TYPE` from `getFieldType()`. An example of this type of field is be `path=/my/path/my/object`.

  See Also:
    Constant Field Values

### LIST_FIELD_TYPE

    static final int LIST_FIELD_TYPE

  Fields that are comma separated and are part of the inheritance hierarchy of Resources return `LIST_FIELD_TYPE` from `getFieldType()`. An example of this type of field is `path={my, path, my, object}`.

  See Also:
    Constant Field Values

Method Detail

### getFieldType

    int getFieldType(String fieldName)

  Describe `getFieldType` method here.

  Parameters:
    `fieldName` - the `String` name of the field being queried.
  Returns:
    the `int` field type of `fieldName`

### getRepeatingFieldIndex

    int getRepeatingFieldIndex()

  `getRepeatingFieldIndex` returns an index into the array returned by `getKeys()` that signifies what part of the Resource's fields repeat as the hierarchy is traversed. For example, in the `URLResource`, the `httpMethod` is repeated as the hierarchy is walked. A value of `-1` indicates that there are no repeating fields.

  Returns:
    the index of the repeating fields or -1 if none

### getRepeatingFieldTerminatingIndex

    int getRepeatingFieldTerminatingIndex()

  The field returned by `getRepeatingFieldIndex` is repeated as the Resource is shortened up to and including this field index. After this field index the repetition is no longer applied.

  Returns:
    an `int` describing the terminating index or `getKeys().length` if none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD